QGIS Application - Bug report #8907
unicode not preserved when saving layer attributes as CSV
2013-10-18 11:28 AM - Geoffrey Fairchild

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 17583
Description

I'm using the Natural Earth 1:10m admin 1 states, provinces data (
http://www.naturalearthdata.com/http//www.naturalearthdata.com/download/10m/cultural/ne_10m_admin_1_states provinces.zip), and
I'm experiencing a unicode export issue. If | export the attributes (save vector layer as), unicode characters are not preserved.

| provide 2 screenshots. The first shows the settings | use to export the data, and the second shows resulting output as displayed in Excel
(I sorted the name column).

History

#1 - 2013-10-18 01:20 PM - Geoffrey Fairchild
- Status changed from Open to Closed

I'm sorry for this. It turns out that this is a problem with Excel. Excel doesn't properly handle UTF-8-encoded CSV files. Opening the CSV file in a proper
text editor (like TextWrangler) reveals that the data are indeed correct.

#2 - 2013-10-19 02:36 AM - Giovanni Manghi
- Resolution set to invalid
